import { tap, expect } from '@push.rocks/tapbundle';
import * as qenv from '@push.rocks/qenv';
let testQenv = new qenv.Qenv('./', '.nogit/');

import * as tsdocs from '../ts/index.js';

let aidocs: tsdocs.AiDoc;

tap.test('should create an AIdocs class', async () => {
  aidocs = new tsdocs.AiDoc({
    'OPENAI_TOKEN': await testQenv.getEnvVarOnDemand('OPENAI_TOKEN')
  });
  expect(aidocs).toBeInstanceOf(tsdocs.AiDoc);
});

tap.test('should start AIdocs', async () => {
  await aidocs.start();
  await aidocs.buildReadme('./');
})

tap.test('should start AIdocs', async () => {
  await aidocs.start();
  await aidocs.buildDescription('./');
})


tap.start();